﻿using System;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;
using System.ServiceModel;
using System.Runtime.Serialization;

public class Service : IService
{
    public CustomerData GetCustomers(int customerId)
    {
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            string sql = "SELECT CustomerId, Name, Country FROM Customers";
            if (customerId > 0)
            {
                sql += " WHERE CustomerId = @CustomerId";
            }
            using (SqlCommand cmd = new SqlCommand(sql))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter())
                {
                    cmd.Connection = con;
                    if (customerId > 0)
                    {
                        cmd.Parameters.AddWithValue("@CustomerId", customerId);
                    }
                    sda.SelectCommand = cmd;
                    using (DataTable dt = new DataTable())
                    {
                        CustomerData customers = new CustomerData();
                        sda.Fill(customers.CustomersTable);
                        return customers;
                    }
                }
            }
        }
    }
}
