﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.ServiceModel;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            IService client = this.GetServiceClient();
            GridView1.DataSource = client.GetCustomers(0).CustomersTable;
            GridView1.DataBind();
        }
    }

    protected void Search(object sender, EventArgs e)
    {
        int customerId;
        int.TryParse(txtCustomerId.Text.Trim(), out customerId);
        IService client = this.GetServiceClient();
        GridView1.DataSource = client.GetCustomers(customerId).CustomersTable;
        GridView1.DataBind();
    }

    private IService GetServiceClient()
    {
        BasicHttpBinding binding = new BasicHttpBinding();
        EndpointAddress endpoint = new EndpointAddress("http://localhost:8744/CS/Service.svc");
        IService client = ChannelFactory<IService>.CreateChannel(binding, endpoint);
        return client;
    }
}