﻿Imports System.Data
Imports System.Configuration
Imports System.Data.SqlClient
Imports System.ServiceModel
Imports System.Runtime.Serialization

' NOTE: You can use the "Rename" command on the context menu to change the class name "Service" in code, svc and config file together.
Public Class Service
    Implements IService
    Public Function GetCustomers(customerId As Integer) As CustomerData Implements IService.GetCustomers
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As New SqlConnection(constr)
            Dim sql As String = "SELECT CustomerId, Name, Country FROM Customers"
            If customerId > 0 Then
                sql += " WHERE CustomerId = @CustomerId"
            End If
            Using cmd As New SqlCommand(sql)
                Using sda As New SqlDataAdapter()
                    cmd.Connection = con
                    If customerId > 0 Then
                        cmd.Parameters.AddWithValue("@CustomerId", customerId)
                    End If
                    sda.SelectCommand = cmd
                    Using dt As New DataTable()
                        Dim customers As New CustomerData()
                        sda.Fill(customers.CustomersTable)
                        Return customers
                    End Using
                End Using
            End Using
        End Using
    End Function
End Class
