﻿Imports System.ServiceModel

Partial Class _Default
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim client As IService = Me.GetServiceClient()
            GridView1.DataSource = client.GetCustomers(0).CustomersTable
            GridView1.DataBind()
        End If
    End Sub

    Protected Sub Search(sender As Object, e As EventArgs)
        Dim customerId As Integer
        Integer.TryParse(txtCustomerId.Text.Trim(), customerId)
        Dim client As IService = Me.GetServiceClient()
        GridView1.DataSource = client.GetCustomers(customerId).CustomersTable
        GridView1.DataBind()
    End Sub

    Private Function GetServiceClient() As IService
        Dim binding As New BasicHttpBinding()
        Dim endpoint As New EndpointAddress("http://localhost:8747/VB/Service.svc")
        Dim client As IService = ChannelFactory(Of IService).CreateChannel(binding, endpoint)
        Return client
    End Function
End Class
